Debian Bug report logs - #707288
Causes Firefox to render blurry text

version graph

Package: libcairo2; Maintainer for libcairo2 is Dave Beckett <dajobe@debian.org>; Source for libcairo2 is src:cairo.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Wed, 8 May 2013 18:48:02 UTC

Severity: normal

Tags: fixed-upstream, patch

Merged with 707869, 708681, 718177

Found in version cairo/1.12.14-2

Fixed in version 1.12.16-1

Done: Vincent Lefevre <vincent@vinc17.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Wed, 08 May 2013 18:48:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Causes Firefox to render blurry text
Date: Wed, 08 May 2013 11:45:09 -0700
Package: libcairo2
Version: 1.12.14-2
Severity: normal

I upgraded libcairo2 from 1.12.2-3 to 1.12.14-2, and Firefox (version 20
from experimental, in case it matters) started rendering blurry text.
Downgrading back to 1.12.2-3 fixes the problem.

I managed to partially characterize the problem.  I can reliably
reproduce it on certain sites by hovering over a link that wraps between
lines.  It looks like doing so causes Firefox to re-draw most of the
text on those lines over itself, and the edges of the text get
progressively darker and each time Firefox re-renders, as though the
alpha-blended anti-aliased edges of the text render over themselves and
get darker.

The attached screenshot from xmag shows an example of this issue.  The
third line is part of the link I repeatedly hovered over to trigger the
issue.  The first and fourth lines look normal.  The second line got
re-rendered and thicker/darker.  In particular, compare the 'o' in the
second line to the 'o' in the third, or compare the 'ch' in the second
line to the 'ch' in the fourth.

- Josh Triplett

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcairo2 depends on:
ii  libc6                       2.13-38
ii  libegl1-mesa [libegl1-x11]  8.0.5-4
ii  libfontconfig1              2.9.0-7.1
ii  libfreetype6                2.4.9-1.1
ii  libgl1-mesa-glx [libgl1]    8.0.5-4
ii  libpixman-1-0               0.26.0-4
ii  libpng12-0                  1.2.49-4
ii  libx11-6                    2:1.5.0-1
ii  libxcb-render0              1.8.1-2
ii  libxcb-shm0                 1.8.1-2
ii  libxcb1                     1.8.1-2
ii  libxext6                    2:1.3.1-2
ii  libxrender1                 1:0.9.7-1
ii  multiarch-support           2.17-1
ii  zlib1g                      1:1.2.8.dfsg-1

libcairo2 recommends no packages.

libcairo2 suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Wed, 08 May 2013 18:54:11 GMT) Full text and rfc822 format available.

Message #6 received at 707288@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <707288@bugs.debian.org>
Subject: Re: Causes Firefox to render blurry text
Date: Wed, 08 May 2013 11:50:53 -0700
[Message part 1 (text/plain, inline)]
Package: libcairo2
Version: 1.12.14-2
Followup-For: Bug #707288

Actually attaching the screenshot this time.

- Josh Triplett

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcairo2 depends on:
ii  libc6                       2.13-38
ii  libegl1-mesa [libegl1-x11]  8.0.5-4
ii  libfontconfig1              2.9.0-7.1
ii  libfreetype6                2.4.9-1.1
ii  libgl1-mesa-glx [libgl1]    8.0.5-4
ii  libpixman-1-0               0.26.0-4
ii  libpng12-0                  1.2.49-4
ii  libx11-6                    2:1.5.0-1
ii  libxcb-render0              1.8.1-2
ii  libxcb-shm0                 1.8.1-2
ii  libxcb1                     1.8.1-2
ii  libxext6                    2:1.3.1-2
ii  libxrender1                 1:0.9.7-1
ii  multiarch-support           2.17-1
ii  zlib1g                      1:1.2.8.dfsg-1

libcairo2 recommends no packages.

libcairo2 suggests no packages.

-- no debconf information
[font-rendering-xmag.png (image/png, attachment)]

Added tag(s) unreproducible and moreinfo. Request was from Steve Langasek <vorlon@debian.org> to 707869-submit@bugs.debian.org. (Sun, 12 May 2013 04:39:07 GMT) Full text and rfc822 format available.

Merged 707288 707869 Request was from Steve Langasek <vorlon@debian.org> to 707869-submit@bugs.debian.org. (Sun, 12 May 2013 04:39:08 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible and moreinfo. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 12 May 2013 05:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Tue, 14 May 2013 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Reiter <reiter.christoph@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 14 May 2013 06:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 707288@bugs.debian.org (full text, mbox):

From: Christoph Reiter <reiter.christoph@gmail.com>
To: 707288@bugs.debian.org
Date: Tue, 14 May 2013 08:11:58 +0200
[Message part 1 (text/plain, inline)]
Same here. Attached a test case for another rendering bug which
started to appear around the same time and is easily reproducible
here. Not sure if it's the same thing.

Intel driver btw. (I've tried with UXA, and it's the same result)
[gtk3-font-render-bug-707288.png (image/png, attachment)]
[gtk3-font-render-bug-707288.py (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Fri, 07 Jun 2013 19:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kostić <smoki00790@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Fri, 07 Jun 2013 19:57:18 GMT) Full text and rfc822 format available.

Message #22 received at 707288@bugs.debian.org (full text, mbox):

From: Milan Kostić <smoki00790@gmail.com>
To: 707288@bugs.debian.org
Date: Fri, 7 Jun 2013 21:52:42 +0200
 I've bisecting this, commit which start to produce this is:

 http://cgit.freedesktop.org/cairo/commit/?id=ef0b2e43ee299a1c2e7ecfbdf36a610c4ec53d0e



Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Sat, 08 Jun 2013 05:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kostić <smoki00790@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Sat, 08 Jun 2013 05:45:04 GMT) Full text and rfc822 format available.

Message #27 received at 707288@bugs.debian.org (full text, mbox):

From: Milan Kostić <smoki00790@gmail.com>
To: 707288@bugs.debian.org
Date: Sat, 8 Jun 2013 07:42:32 +0200
 And this is actually fixed in upstream git week ago:

 http://cgit.freedesktop.org/cairo/commit/?id=41bef0fc385381b8c6b9091ec7ca2abe04cfc147



Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#707288; Package libcairo2. (Tue, 25 Jun 2013 19:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 25 Jun 2013 19:33:14 GMT) Full text and rfc822 format available.

Message #32 received at 707288@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Milan Kostić <smoki00790@gmail.com>, 707288@bugs.debian.org
Subject: Re: Bug#707288:
Date: Tue, 25 Jun 2013 21:30:12 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 fixed-upstream patch

On 2013-06-08 07:42 +0200, Milan Kostić wrote:

>  And this is actually fixed in upstream git week ago:
>
>  http://cgit.freedesktop.org/cairo/commit/?id=41bef0fc385381b8c6b9091ec7ca2abe04cfc147

I can confirm that this patch (attached for convenience) fixes the
problem, it would be great to include it in the next cairo upload.

Cheers,
       Sven

[07_bug-707288.patch (text/x-diff, attachment)]

Added tag(s) fixed-upstream and patch. Request was from Sven Joachim <svenjoac@gmx.de> to 707288-submit@bugs.debian.org. (Tue, 25 Jun 2013 19:33:14 GMT) Full text and rfc822 format available.

Merged 707288 707869 708681 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sun, 28 Jul 2013 22:42:10 GMT) Full text and rfc822 format available.

Merged 707288 707869 708681 718177 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sun, 28 Jul 2013 22:42:16 GMT) Full text and rfc822 format available.

Added indication that 707288 affects iceweasel Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sun, 28 Jul 2013 22:42:18 GMT) Full text and rfc822 format available.

Reply sent to Vincent Lefevre <vincent@vinc17.net>:
You have taken responsibility. (Fri, 13 Sep 2013 08:18:08 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 08:18:08 GMT) Full text and rfc822 format available.

Message #45 received at 707288-done@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 707288-done@bugs.debian.org
Subject: Re: Bug#707288:
Date: Fri, 13 Sep 2013 10:15:05 +0200
Version: 1.12.16-1

On 2013-06-08 07:42:32 +0200, Milan Kostić wrote:
>  And this is actually fixed in upstream git week ago:
> 
>  http://cgit.freedesktop.org/cairo/commit/?id=41bef0fc385381b8c6b9091ec7ca2abe04cfc147

According to the 1.12.16-1 source, this version contains these
changes. Closing.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Reply sent to Vincent Lefevre <vincent@vinc17.net>:
You have taken responsibility. (Fri, 13 Sep 2013 08:18:09 GMT) Full text and rfc822 format available.

Notification sent to Alejandro Carrazzoni <ale.carrazzoni@gmail.com>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 08:18:10 GMT) Full text and rfc822 format available.

Reply sent to Vincent Lefevre <vincent@vinc17.net>:
You have taken responsibility. (Fri, 13 Sep 2013 08:18:11 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 08:18:11 GMT) Full text and rfc822 format available.

Reply sent to Vincent Lefevre <vincent@vinc17.net>:
You have taken responsibility. (Fri, 13 Sep 2013 08:18:12 GMT) Full text and rfc822 format available.

Notification sent to "Guillermo O. Freschi" <kedrot@gmail.com>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 08:18:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Oct 2013 07:28:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:55:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.